
 W H A T ' S  N E W

Ver 1.0 (Build 396) released on 10/26/2017 (Guti)
=================================================
+ Disabled 06/30/2017 expiration
+ Upgraded SQLite from 3.7.13 to 3.14.0
+ Compiled with Visual C++ 2010

Ver 1.0 (Build 394) released on 07/31/2012 (Guti)
=================================================
+ Compiled with /GF /QIfist  
+ Added further SQLite code removals (SQLITE_OMIT_AUTORESET, SQLITE_OMIT_BLOB_LITERAL)
+ Added some SQLite performance tunnings (SQLITE_HAVE_ISNAN, SQLITE_DEFAULT_MEMSTATUS 0)

Ver 1.0 (Build 393) released on 07/26/2012 (Guti)
=================================================
+ Compiled with Visual C++ 2012 RC
+ Reverted SQLite SQLITE_TEMP_STORE=3 in 392 because it caused 700 MB RAM usage memory peaks
+ Added further SQLite code removals (SQLITE_OMIT_BUILTIN_TEST, SQLITE_OMIT_TRACE)
+ Added some SQLite performance tunnings (SQLITE_DIRECT_OVERFLOW_READ; removed SQLITE_OMIT_XFER_OPT)

Ver 1.0 (Build 392) released on 07/23/2012 (Guti)
=================================================
+ Optimized SQLite settings to use in-memory journal (SQLITE_ENABLE_ATOMIC_WRITE 3 and disable SQLITE_OMIT_MEMORYDB)
+ Enabled optimizations /Oy /GT /GS- /fp:fast

Ver 1.0 (Build 391) released on 07/22/2012 (Guti)
=================================================
+ x86 and x64 versions
+ Compiled with Visual C++ 2010
+ Upgraded SQLite from 3.7.6.3 to 3.7.13
+ Upgraded ZLib from 1.2.5 to 1.2.7

Ver 1.0 (Build 390) released on 06/08/2011
=================================================
+ Updated SQLite to 3.7.6.3
+ Enabled Aero theming on Windows Vista/7
+ Removed a few of the oldest DB upgraders
+ Cleaned up the HTML being generated
+ Updated Vietnamese language pack (Thanks Narga)
+ Included "0 News Window v2" stylesheet (Thanks patrick013)
+ Internal preparations for future 64-bit builds
+ Fixed bug converning creation of new Feed Groups
+ Added keyboard shortcut for "Mark All As Read" (Ctrl+Shift+G)

Ver 1.0 (Build 389) released on 01/24/2011
=================================================
+ Fixed numbering error when paging through labeled items
+ Added option to mark all of a feed's items unread
+ Fixed a bug when initializing a "fresh" installation
+ Some general code cleanups
+ Reduced DB locking
+ Increased zlib compression level
+ Additional attempts at compression at various points
+ Corrected URI for Feed Validator
+ Updated SQLite to to 3.7.4
+ Removed update checks and auto updater
+ Built using the WDK to remove the statically linked C/C++ runtimes (AKA bloat)

Ver 1.0 (Build 388) released on 06/19/2010
=================================================
+ Fixed bug where switching the language from the GUI wouldn't work
+ Fixed bug where a "fresh" installation's database would database would be created incorrectly
+ Made "advanced" feed menu the default

Ver 1.0 (Build 387) released on 05/12/2010
=================================================
+ Updated package with additional style sheets from the forum
+ Available styles now listed in alphabetical order on non-NTFS partitions
+ Updated WTL to to 8.1.9127 (was: 8.0.7161)
+ Rebuilt project files from scratch, to get all the benefits VS2008 has to offer
+ Added "Bing" to search channels
+ Tweaked SQLite config to reduce its footprint, and possibly gain more speed
+ Added option to disable the cleanup wizard
+ Some restructuring of the database
+ Integrated DB maintenance tool into main program - upgrades are now applied automatically
+ Updated zlib to 1.2.5
+ Removed greatnews_upgrade.ini/newsfeed_upgrade.db mechanisms
  If you want to customize a new installation, simply name the relevant files greatnews.ini/newsfeed.db instead
+ Added icons to updater and language editor
+ Added some untranslated strings to the English language pack; also updated the German one
+ Disabling "Update all feeds when GreatNews starts" now works in a way that makes sense
+ Waiting in case of an error when updating a feed, then retrying later now working better
+ Modified crash recovery behavior to be more silent
+ Fixed tab order in label properties, feature options and channel settings dialogs
+ ANSI builds are now officially declared dead

Ver 1.0 (Build 386) released on 04/03/2010
=================================================
+ Removed CVS directories and lots of other unnecessary artifacts
+ Updated project files to Visual Studio 2008 (Sorry if you're stuck with 2005, I don't have that one and don't feel like going back to 2003...)
+ Removed outdated/non-working porject targets
+ ATL Server isn't included in VS2K8 - I added it as an external library. Get it here: http://www.codeplex.com/AtlServer
+ Updated zlib to 1.2.4 (was: 1.2.1 - Two of the three intermediate updates were security critical!)
+ Updated SQLite to 3.6.23.1 (was: 3.6.11)
+ Worked around a Wine annoyance related to InternetSetOption()

Ver 1.0 (Build 385) released on 03/31/2010
==========================================
Released source code under GPL (Thank you Jack!)

Ver 1.0 (Build 385) released on 03/06/2009
==========================================
+Several small internal bug fixes
+Changed: Updated database engine to the latest version.
+Added: Persian language pack (Thank you Ehsan!)
+Updated: Brazilian Portuguese language pack (Thank you Alessandro!)

Ver 1.0 (Build 384) released on 03/01/2009
==========================================
+Several small internal bug fixes
+Changed: Updated database engine to the latest version.
+Added: Persian language pack (Thank you Ehsan!)
+Updated: Brazilian Portuguese language pack (Thank you Alessandro!)


Ver 1.0 (Build 383) released on 4/20/2007
==========================================
+Added: 3-column display mode
	View->Reading Pane
+Added: Hidden flag to allow multiple GreatNews running at the same time.
	[Advanced]
	MultipleInstance=1
+Updated: Japanese Language Pack (Thanks bbb)
+Changed: Upgrade database engine to latest version (again).
-Fixed: Updated articles were not saved. Only counters were updated. (Thanks razorsharp)


Ver 1.0 (Build 381) released on 3/30/2007
==========================================
+Added: Support local feed. 
	use file:// format as the feed url
+Changed: Upgrade database engine to latest version
+Added: Romanian language pack (Thank you Alexandru Bogdan Munteanu!)
+Fixed: GreatNews doesn't update article URL if it's changed (Thanks harleq)
+Fixed: Dragging a link from reading pane and dropping to a label causes GreatNews to crash (Thanks sabarnett)
+Fixed: Invalid URL like feed://http//www.... causes GreatNews to crash (Thanks jackvinson)


Ver 1.0 (Build 379) released on 1/28/2007
==========================================
+Added: Vietnamese language pack (Thank you Narga!)
+Fixed: Some correction to English language pack (Thanks Peter)
+Fixed: GreatNews cannot track comments on Atom1.0 feed. (Thanks Jack Vinson)



Ver 1.0 (Build 378) released on 12/28/2006
==========================================
+Upgraded GreatNews codebase to latest libraries. Several stability issues were solved.


Ver 1.0 (Build 376) released on 12/10/2006
==========================================
+Fixed: Podcasting links can't be saved locally (Thanks armstead)
+Fixed: SPACEBAR won't work with LegacyBrowser flag
+Added: Hungarian language pack (Thanks appel)


Ver 1.0 (Build 376) released on 11/27/2006
==========================================
+Added: Middle-click a feed in the tree will open its website in a new tab
+Added: FireFox 2.0 RSS subscription support
+Changed: GreatNews style files to utilize IE7 new css support.
+Updated: Dutch language pack (Thanks CorbTrans)


Ver 1.0 (Build 375) released on 10/13/2006
==========================================
+Added: Option to decide marking changed article unread or not (Default is off)
	Tools->Options->Usability->Mark Changed Item Unread
+Added: Option to cleanup temp files upon exit (Default is on)
	Tools->Options->General->Cleanup Temp File Upon Exit
+Added: Swedish language pack (Thanks Pontus Lundqvist)
-Tentative Fix: compatibility issue with http://hosted.ap.org (Thanks Mike Miller)


Ver 1.0 (Build 374) released on 9/25/2006
=========================================
+Added: Unlabel All item to Label context menu (Thanks justauser)
+Added: 48*48, 64*64 GreatNews icons (Thanks Mercury)
+Added: Several accessibility enhancements (Thanks Michael D. Lawler)
	F6 sets focus to feed tree. F9 sets focus to news list. 
	SHIFT+F10 and Application key to bring up context menu.
-Tentative Fix: compatibility issue with http://hosted.ap.org's feed, which generates new guid for existing items everytime. (Thanks acrv)
-Tentative Fix: Read item showing up as unread if its title has escaped characters. (Thanks Banji)

Ver 1.0 (Build 373) released on 9/17/2006
========================================
+Added: New option to use a Label or Watch as GreatNews home page (Thanks wyldphyre)
	Tools->Options->General
+Added: Treat all GreatNews generated pages as in Internet zone to reduce security risk. (Thanks Nick Bradbury)
+Changed: feed detection is now using the standard RSS icon


Ver 1.0 (Build 372) released on 9/3/2006
========================================
+Added: Plugin to use Microsoft LiveWriter with GreatNews BlogThis.
+Added: hidden option "MaxFeedSizeInK" to change maximum feed size. Default is 1000KB.
+Added: CTRL+DblClick in news list to open webpage in new tab. SHIFT+DblClick to open in new window (Thanks cnewtonne)
-Fixed: a bug in handling Tim Bray's atom 1.0 feed. (Thanks Chewtoy) 


Ver 1.0 (Build 371) released on 7/31/2006
=========================================
+Added: "Work Offline" command added to tray popup menu (Thanks justauser)
+Added: Enabled XP theme in embedded browser (Thanks rocky and coolzdp)
-Fixed: GreatNews doesn't set article status to unread when content was updated (Thanks ski)
-Fixed: GreatNews treats FeedBurner modified article urls as rss feeds (Thanks wjf)
-Fixed: GreatNews reports "The page cannot be displayed" if a website has malformed links (Thanks maupassant)
+Updated: Polish language pack (Thanks kodijak)
+Updated: Turkish Language language pack (Thanks webdr)
+Updated: Traditional Chinese language pack (Thanks Nelson)


Ver 1.0 (Build 370) released on 6/25/2006
=========================================
-Changed: GreatNews will not show system tray popup when there's only failed channel updates.
-Fixed: GreatNews chokes on invalid date format (Thanks Le_Catalan)
-Fixed: Script debugger comes up when GreatNews start page is configured to show most visited feeds (Thanks Steven Burn)
+Added: Arabic language pack (Thanks Abdulaziz Althnyan)
+Added: Basque language pack (Thanks Joseba Kamio)
+Updated: Franch language pack (Thanks NicoTrad)
+Updated: Italian language pack (Thanks Scirč Salvatore)
+Updated: German language pack (Thanks Sven Fischer)


Ver 1.0 (Build 369) released on 5/7/2006
=========================================
+Added: Drag/Drop feed subscription from IE, FireFox and GreatNews reading pane. (Thanks Carl for his excellent classes!)
+Added: Feed->Work Offline
+Added: Feed->Mark Page as Read(CTRL+M) (Thanks Gizmo)
+Added: RSS feed detection now detects feed titles
+Updated: Deutsch language pack (Thanks Jan Peters)
+Updated: Traditional Chinese language pack (Thanks Nelson)
+Updated: Spanish language pack (Thanks Maty)
-Fixed: Global Search displayed wrong message if no item was found. (Thanks leem)


Ver 1.0 (Build 368) released on 4/24/2006
=========================================
+Added: Mark article read/unread directly on reading pane
	(by clicking the yellow star)
+Added: News Watch now supports quoted string in keyword (Thanks tqa)
+Added: Clicking read/unread flag in News List will mark item read/unread immidiately
*Changed: Changed "Channel" to "Feed" to use the term more consistently (Thanks thelost)
-Fixed: Added sanity check to prevent some feed returning enormous amount of data (Thanks kyloe10)
-Fixed: GreatNews always show news list when restarts (Thanks hclerx)


Ver 1.0 (Build 367) released on 4/5/2006
=========================================
+Added: Exported OPMLs now have <title>, <dateCreated> and <dateModified> under <head>. (Thanks iredwards)
+Changed: News List sorting column is not saved except for Date and Channel (Thanks Alex)
+Updated: Turkish language pack (Thanks UMUT)
+Updated: Dutch language pack (Thanks Hans Barnhoorn)
-Fixed: Expand/Collapse All menu items didn't work (Thanks Moonlight)
-Fixed: RSS auto detection didn't convert relative path to absolute path. (Thanks DanielIT)


Ver 1.0 (Build 366) released on 3/20/2006
=========================================
+Added: Generic BlogThis tool to use external applictions like Zoundry. (Thanks pidge)
	to use Zoundry with GreatNews, add a generic BlogThis tool, and set URL to:
	zBlogWriter.exe -blogthis -file %HTMLFILE%
+Added: "Yesterday & Today" was added to date time filter on toolbar. (Thanks orchid)
+Added: CTRL+right click on channel node will show more items including "Mark unread". 
+Added: Option to keep news item's origional link instead of FeedBurners. (Thanks Lee Hopkins)
	The option is in Tools->Options->Features page
+Added: Channel Group properties dialog now accepts multi-lines. (Thanks gardenia)
-Fixed: compatibility issue with http://antoin.livejournal.com (Thanks trivee)
+Updated: Japanese language pack (Thanks 666bb)
+Updated: Traditional Chinese language pack (Thanks Nelson)
+Updated: Italian language pack (Thanks Alberto)
+Updated: Korean language pack (Thanks Moon sung-wook)
+Updated: Spanish language pack (Thanks Maty)


Ver 1.0 (Build 365) released on 3/6/2006
=========================================
+Added: GreatNews Language Pack Editor is now available for download.
+Changed: English language pack has been updated to 1.0.0.365
+Added: Brazilian Portuguese language pack (Thank you very much Alessandro!)


Ver 1.0 (Build 364) released on 3/1/2006
=========================================
+Added: channel property dialog now accept login name and password
+Added: if there's no unread channels, "Open unread" command will go to welcome page. (Thanks mrb1ue)
-Fixed: GreatNews didn't escape url correctly if a link was middle-clicked. (Thanks Lazlo Nibble)
*Changed: Less scary warning message to update data file (Thanks jiminy)
*Added: some debug facility was added


Ver 1.0 (Build 363) released on 2/20/2006
=========================================
+Added: Channel->Rename(F2) to rename a channel/group/watch/label directly on the tree.
+Added: Label tree nodes now show total number of items with the label.
+Added: If a channel/group has labelled items, GreatNews now warns user twice before deleting it. (Thanks gardenia)
+Added: CTRL+S to save current web page
+Added: Serbian language pack (Thank you very much Djurasinovic!)
-Fixed: When reloading modified items, GreatNews may mark wrong item unread if the feed has no valid guid (Thanks SteveAgl)
-Fixed: GreatNews shows minimize-to-tray animation regardless Windows setting (Thanks flock)


Ver 1.0 (Build 362) released on 2/13/2006
=========================================
+Added: GreatNews now supports plugins to extend BlogThis functions. 
 A demo plugin is included to support w.Bloggar. Source code will be released this week. It's fairly easy to support other blogging tools now.

+Added: Koren language pack (Thank you very much Moon sung-wook!)
+Added: Czech language pack (Thank you very much Tirsor!)


Ver 1.0 (Build 361) released on 2/7/2006
=========================================
+Added: GreatNews now refreshes channel favicons weekly. (Thanks Mordac)
-Fixed: Adding then removing a label will prevent an item being cleaned up. (Thanks rodeoclown)
-Fixed: in "mark read interactively" mode, the last page won't be marked read if user switched channel.
-Fixed: Removing then adding many channels at once may mess up favicons (Thanks sen)
-Fixed: changed podcasting .oog to .ogg (Thanks marsh)


Ver 1.0 (Build 360) released on 1/26/2006
=========================================
-Fixed: GreatNews would double count unread item if the changed item was still unread (Thanks Gizmo)
+Added: Blogspot/Atom channel auto-detect support (Thanks rodeoclown)


Ver 1.0 (Build 359) released on 1/25/2006
=========================================
+Added: GreatNews now updates local copy of articles if they changed. (Thanks Alex)
	If article timestamp or title was changed, GreatNews will also set it to unread.
+Added: Article now can be configed to open in current tab, external browser, or new tab.
	(Tools->Options->Usability)
+Added: News watch now can be disabled (Thanks iw)
-Fixed: Compatibility issue with http://www.baravalle.it/phpGrabComics (thanks gdusenberry)
-Fixed: Partially fixed auto detects problem with sourceforge.net (Thanks flock)
	If IE engine is used , clicking sourceforge rss feeds in GreatNews will prompt to subscribe. But the feeds still won't show on statusbar.


Ver 1.0 (Build 358) released on 1/18/2006
=========================================
*Changed: Links under Help menu are now openned in GreatNews browser tabs. (Thanks Robin Siebler)
-Fixed: A bug brought in by build 357. Fail to create channel groups.


Ver 1.0 (Build 357) released on 1/15/2006
=========================================
+Added: Full text search across all channels
	Edit->Global Search
+Added: Label property dialog now shows the number of items with this label (Thanks pieterschultz)
+Added: Channel Group expand/collapse state is now saved (Thanks Pedro Fonseca)
+Added: Search Channel dialog now auto-generates channel name (Thanks CH)
+Added: News Watch property dialog now auto-generates watch name
+Changed: Minor change to Automatic Update.


Ver 1.0 (Build 356) released on 1/9/2006
========================================
+Added: CTRL+N to open current internet page in default browser (Thanks Harry)
+Added: In Channel Properties page, CTRL+click Validate button will show channel raw xml instead. (Thanks rodeoclown)
	Not an ideal solution as there's no visual cue. But probably there are not a lot of people need this function.
+Added: Enclosure types are now user configurable on Options->Features(Thanks rodeoclown)
	So you can add pdf enclosures from http://www.escapistmagazine.com/ 
-Fixed: Channels always show in bold even if there's no unread item if Windows default font set to be bold. (Thanks flatrabbit)
-Fixed: The annoying one pixel line when News List is hidden
-Fixed: GreatNews reports improper shutdown error msg at startup if user shutdown Windows with GreatNews runnings (Thanks yokozuna)
-Fixed: GreatNews cannot display favicon if a feed use non-standard http port. (Thanks Nyaaa)
*Changed: Updated Traditional Chinese language pack (Thanks Nelson)


Ver 1.0 (Build 355) released on 1/6/2006
========================================
*Changed: improved compatibility with wrong date format (Thanks Tambu)
+Added: Contact information in About dialog (Thanks Richard Goodwin)

Ver 1.0 (Build 354) released on 12/26/2005
==========================================
+Added: Polish language pack (Thank you very much Kodi!)
-Fixed: GreatNews show error msg when comment feed returns empty (Thanks mkizer)
*Changed: Comments are now displayed with more information (Thanks Ryan Farley)


Ver 1.0 (Build 353) released on 12/26/2005
==========================================
+Added: Turkish language pack (Thank you very much Umut!)
+Changed: Traditional Chinese language pack (Thank you very much coca!)
+Added: wfw:comment support
 If Option->Feature->"Track Comments" is enabled, news items which have wfw:comment will show "Track Comments" link under articles. If you click [u]Track Comments[/u], GreatNews will track this article automatically and will mark the article unread if new comments arrive. New comments will be displayed under each article.

Ver 1.0 (Build 352) released on 12/17/2005
==========================================
+Added: Portuguese language pack (Thank you very much Nico!)
+Added: "Add Channel Wizard" now auto detects channels from website.
+Added: Close to tray option in Options->General page (Thanks Vitaly)
+Changed: Adding labels in reading pane now displays visual cue immidiately.
-Changed: GreatNews now converts feed:// protocal to http:// (Thanks gtanuel)
-Fixed: Channel Properities dialog set default button to Cancel (Thanks Alex)


Ver 1.0 (Build 351) released on 12/8/2005
==========================================
+Added: News Watch now can be set on search channels.
-Fixed: compatibility issue with http://morningmusumenet.net/
 BTW: There's really no RSS 1.0, it's RDF...But since www.feedvalidator.org thinks it's valid, I just accept it as well.
+Added: minor performance enhancement
*Changed: data file format upgraded to 1.0.0.98 for comments support in next build.


Ver 1.0 (Build 350) released on 12/04/2005
==========================================
+ Added: Tab key to navigate among panels
+ Added: Two hidden options for users need more control:
	[Advanced]
	NoFavicons=Y
	ExternalBrowser=E:\Program Files\Avant Browser\avant.exe 
'NoFavicons' will turn off favicons
'ExternalBrowser' will specify external browser to use instead of the default one.

Ver 1.0 (Build 349) released on 11/27/2005
==========================================
+ Added: Channel favicon support
+ Added: Option to control highlight news items. (see Tools->Options->Features)
+ Changed: Closing last tab will display blank page (Thanks rodeoclown)
- Fixed: CTRL+C/V/F doesn't work in reading pane (Thanks Alex)
- Fixed: GreatNew may export feed url as feed:// instead of http:// to opml. (Thanks gtanuel)

Ver 1.0 (Build 348) released on 11/22/2005
==========================================
+ Added: CTRL+Tab to switch tabs
+ Added: CTRL+W to close a tab (Thanks madmak tab)
- Fixed: performance problem brought in by Build 346


Ver 1.0 (Build 347) released on 11/19/2005
=========================================
+ Added: GreatNews will show warning message if "Cleanup labelled items" option is selected (Thanks davidth17e)
+ Added: Yahoo and MSN search were added to Search button (Thanks Vitaly)
+ Added: CTRL+F4 to close a tab.
+ Added: Delete Temp File option in Cleanup Wizard.
* Changed: GreatNews will not expand selected group if "no auto expand/collapse" option is set
- Fixed: GreatNews still collapse group even if the option is turned off (Thanks isaacg)
- Fixed: Compatibiity issue with volokh.com (Thanks Kevin)


Ver 1.0 (Build 346) released on 11/13/2005
=========================================
+ Added: Russian language pack. (Thank you very much Vitaly!)
+ Added: News Watch matched items are now highlighted on reading pane as well.
* Changed: More fine tuning on mouse-wheel-turn-page handling
- Fixed: Click news list columns cannot sort item ascendingly. (Thanks alta88)
- Fixed: GreatNews doesn't convert detected feed to absolute URL (Thanks jiminy crickert)

Ver 1.0 (Build 345) released on 11/6/2005
=========================================
* Changed: Mouse wheel sensitivity was tuned down.
- Fixed: Mouse wheel turn pages when browsing websites (Thanks Noseman)
- Fixed: Click Next> link on last page will go to top (Thanks mkizer)


Ver 1.0 (Build 344) released on 11/6/2005
=========================================
+ Added: Single key/mouse-wheel read
  SPACE Bar will scroll, goto next page, go to next item etc depending on what you are reading. Mouse-wheel works similiarly.
  (This function doesn't yet work with Mozilla engine)
+ Added: Double clicking a tab will close it. Double clicking empty area will create a tab
+ Added: Option to disable automatic group collapsing. (Thanks jimbo & Pedra)
  Tools->Options->Usability->Do not collapse channel group automatically.
+ Added: Creating a new tab will set focus to address bar automatically (Thanks an anonymous user)
+ Added: Sort column of news list is now saved when quitting GreatNews.
- Fixed: Attempt to fix high resolution small font problem.
  This fix is not tested. Please let me know if it doesn't work


Ver 1.0 (Build 343) released on 10/28/2005
==========================================
- Fixed: GreatNews fails to start if dirctory has Chinese characters.


Ver 1.0 (Build 342) released on 10/27/2005
==========================================
- Fixed: GreatNews retries failed channel every 1 minute even it's not configured so. (Thanks harry)
- Fixed: Some function keys don't work in address bar (Thanks jiminy crickert)


Ver 1.0 (Build 341) released on 10/25/2005
==========================================
+ Added: Popup message timer is now configurable in Tools->Options->Reading
+ Added: statistics settings to exclude disabled channels and specify num of channels
  Tools->Statistics->Config
+ Added: Double clicking news list is now configurable
  Tools->Options->Usability
- Fixed: Most-active-channels-in-60-days statistics may count more than 60 days
* Changed: Extra mouse button handling code was removed.
* Changed: Renamed style 'Default' to 'Simple'


Ver 1.0 (Build 340) released on 10/23/2005
==========================================
+ Added: Dutch language pack. (Thank you BRH!)
+ Added: GreatNews now prompts for channels have no update for 60 days.
	 configurable on Tools->Options->Reading page
+ Added: Channel level setting "max-num-of-items-to-keep"
+ Added: Channel level setting "keep the channel even it's inactive"
- Fixed: Channel will lose settings if property page is visited. (Thanks Technut)
- Fixed: News item may display incorrect time stamp (Thanks tamsun)
* Changed: new items now have 'gn_unread' div class (Thanks gtanuel)


Ver 1.0 (Build 339) released on 10/20/2005
==========================================
+ Added: For security reasons, GreatNews now filters certain html tags in rss feeds. (Thanks Alex)
+ Added: Cleanup Wizard can now specify maximum num of items to keep in a channel
+ Added: %MEDIA% can now be used in GreatNews style css file (Thanks gtanuel)
- Fixed: Channel updating may show "invalid character at line 0, number 0" error message. (Thanks GeekNJ)


Ver 1.0 (Build 338) released on 10/16/2005
==========================================
* Changed: setup program name was changed to GreatNewsSetup.exe (Thanks Joyo, rodeoclown)
* Changed: Channel Properties Dialog now shows as tabs
* Changed: Channel->Refresh renamed to Refresh Unread Count
+ Added: Display most active and least active feeds under Tools->Statistics
- Fixed: GreatNews temp files have a trailing zero. (Thanks APG)
- Fixed: Date display doesn't change according to Windows regional settings (Thanks rodeoclown)


Ver 1.0 (Build 337) released on 10/11/2005
==========================================
- Fixed: invalid bloglines account might lock up GreatNews
- Fixed: Channels are not sorted alphabetically (Thanks yagood)


Ver 1.0 (Build 336) released on 10/9/2005
=========================================
* Changed some code for blogline integration. Hope this will fix the issues with certain proxy configuration. (Thansks Sam and pablotossi)
+ GreatNews now accept startup window status sent from Windows shortcut. (Thanks rodeoclown)
* Now the same GreatNews.zip is for both new install and upgrade
  No more greatnews_upgrade.zip!
- Fixed the issue that Channel Properties won't show multi-line channel description (Thanks yagood)
- Fixed the issue that clcking new item in popup window cannot bring GreatNews to front.
- Fixed the bug that tray icon might always show unread.
+ Tray icon tooltips now also displays the number of total unread messages. (Thanks rodeoclown)


Ver 1.0 (Build 335) released on 10/1/2005
=========================================
- Fixed a problem that newly installed GreatNews prompts to run cleanup

- Fixed the problem that clicking once in the header list can get two click sounds (Thanks Martin).

* Reorganized HTML file format for security updates available in next build.
  If you have modified Media\home.htm and NoItem.htm, please merge your modifications into the latest files. Old files will no longer work.


Ver 1.0 (Build 334) released on 9/25/2005
=========================================
+ GreatNews now shows new items in popup window if so configured at individual channels.

* "Mark All As Read" now prompts for confirmation. (Thanks actlix)

+ Search channels now have channel level settings too


Ver 1.0 (Build 333) released on 9/20/2005
=========================================
+ Links in reading pane now show focus when clicked on.

* [Email This] feature no longer displays a dummy recipient.

- Fixed a bug brought in by build 332. The bug broken url parmaters. (Thanks Alex)


Ver 1.0 (Build 332) released on 9/19/2005
=========================================
+ Added "Google Blog Search By Date" to search channels ((Thanks anonymous forum user)

+ Search channels are now user configurable.
  After upgrade to this build, greatnews.ini will have a new section [SearchChannelDefinition]. I didn't write a UI but it should be easy to figure out how to modify it.

- Fixed a compatibility issue with Maxthon that urls with space were not handled correctly. (Thanks GeekNJ)

+ Add a channel level option that will notify new item arrivals in popup windows.
  This option will take effect in next build.
  

Ver 1.0 (Build 331) released on 9/13/2005
=========================================
+ Added "Google Blog Search" to search channels


Ver 1.0 (Build 330) released on 9/12/2005
=========================================
- Fixed the issue that reading pane shows scripting error message when popups are blocked (Thanks alta88)

- Fixed a bug that GreatNews incorrectly treat gif/image enclosure as Podcasting. (Thanks GeekNJ)

- *Try* to fix the error that GreatNews might crash when quitting or Windows shutting down.
  I couldn't reproduce the problem myself. But I made some changes to the place most likely causing the crash. 



Ver 1.0 (Build 329) released on 9/10/2005
=========================================
+ Added BlogThis feature to support publishing directly from within GreatNews. (Thanks Alex)
  Support following blog publish tools: WordPress, TypePad, Movable Type, Blogger, Drupal and generic types

+ Added ENTER key handling in News List (Thanks alta88)
  ENTER = Open web in reading pane
  CTRL + ENTER = Open web in new tab
  SHIFT + ENTER = Open web in external browser

- Fixed the bug that broke Add Favorite and Manage Favorite menu commands. (Thanks michael_meng)

- Fixed the bug that GreatNews didn't use Maxthon as default browser.
  This might also fix the same issue with sleipnir.

* Adjusted the wheel/rclick mouse action to be less sensitive.



Ver 1.0 (Build 328) released on 8/31/2005
=========================================
+ Italian language pack. (Thank you very much Alberto)

+ CTRL+Click to open a link on new tab.
  For notebook users with no mouse wheel

+ Scrolling mouse wheel while holding the right mouse button to turn pages in reading pane.
  Try this one, it's quite convenient!

+ Added support to extra mouse buttons
  These buttons should turn pages in reading pane. But I don't have this kind of mouse to test...



Ver 1.0 (Build 327) released on 8/28/2005
=========================================
+ Added item features(Email This, +Del.icio.us, +Furl) to news list right click menu (Thanks Alex)

+ Added the option to disable tabbed browsing
  Tools->Options->Usability

- Fixed the bug that Email This doesn't work with Outlook Express (Thanks anonymous forum user)



Ver 1.0 (Build 326) released on 8/25/2005
=========================================
+ Added several item features(Email This, +Del.icio.us, +Furl)
  Enable the features from Tools->Options->Features page	


Ver 1.0 (Build 325) released on 8/25/2005
==============================================
- Fixed a compatibility problem with Russian encoding. (Thanks kuchin)

- Fixed a problem with Opera as default browser. (Thanks yokozuna)

- Fixed a bug that GreatNews cannot use too many display styles (Thanks Robin Siebler)

* Minor style(css) changes.


Ver 1.0 (Build 324) released on 8/23/2005
==============================================
* Icon for unread news was changed to avoid confusion with unread emails. (Thanks wormeyman)

* Minor style(css) changes.

- Fixed a bug that "Lable It" might not work under certain situation.

- Fixed a bug that popup blocking might not work in tabs

* Internet search(the G icon on toolbar) now opens in new tab

- Fixed the external browser bug brought in by build 322. (Thanks Alex)

* Various performance enhancements.

+ Added tabbed browsing
  Middle click on a link to open it on the background.
  Tools->New Tab to start a new tab.

+ Added shortcut CTRL+R to mark read

+ Enhanced search function to search on regular expressions. (Thanks regexp)
  To use the function, add "re:" to the regexp. e.g. Enter "re:g[o]*gle" in the search editbox on toolbar will match "google" or "goooooooogle" etc. 

+ Added new option to disable automatic channel updates (Thanks armstead)

* Changed way how GreatNews handles charset mapping. (Thanks Alexander)

- Fixed a display bug in Top 10 Feeds page.

+ GreatNews Updater now can download installer version or zipped version to upgrade.

+ GreatNews now opens new browser window (IE) or tabs (other tabbed browsers) when open rss link externally.

+ Added the ability to define individual styles for Label and News Watch (Thanks Cuba)

- Fixed the crash bug when subscribing http://www.vetta.de/news_rss.php (Thanks Joe)

+ Atom 1.0 support
  (The xhtml type is not yet supported)

- Partial fix to the compatibility issue with http://palmaddict.typepad.com. (Thanks Alexander)

- Fixed a problem with feed without item title (Thanks Alexsander)



Ver 1.0 Beta (Build 317) released on 7/23/2005
==============================================
+ GreatNews now clears channel's update timestamp if user modified channel's properties. (Thanks Alexander)

+ Added channel level style setting.  (Thanks actlix)
  If defined, a channel will display in its own style when selected. This is a not-so-elegant solution to the Dilbert-cartoon-clipoff problem.



Ver 1.0 Beta (Build 316) released on 7/17/2005
==============================================
+ Spanish language pack (Thank you Senpai & maty)
  Maty also created several cool styles. Check it out at http://nauscopio.coolfreepages.com/sumarios_RSS/GreatNews_RSS_Reader.htm !

+ French language pack (Thank you JacK)

+ Fixed the problem with www.theserverside.com (Thanks an anonymous user)

+ Added FireFox live bookmark detection

+ If the title of a news item is empty, GreatNews now displays part of the description as title. (Thanks Alexander)

+ GreatNews no longer checks enclosure type. (Thanks armstead)



Ver 1.0 Beta (Build 315) released on 6/30/2005
==============================================
+ Added "Set GreatNews as the default feed aggregator" button to Tools->Options dialog
use this button to set GreatNews as the default feed:// protocol handler

- Fixed the bug that auto-update stops working after "mark all as read". (Thanks to an anonymous user)

* Label node now ignore status filter. (Thanks dirt)

+ GreatNews now accepts /feed: command line parameters.


+ Added ability to label news items directly on the reading pane

+ Channel properites page now displays TTL setting

+ Several internal styles are now user configurable in Media/buildin_style.tpl file

+ Added channel level cleanup max age setting

- Fixed a bug that GreatNews crashes when "Collapse to Group" menu command is used in dialogs (Thanks actlix)

- Fixed a bug that last news item would be marked read interactively (Thanks GeekNJ)

- Another attempt to open links in external default browser, at background if middle-clicked. (Thanks redreba, Cuba, rosedelanuit)




Ver 1.0 Beta (Build 311) released on 6/6/2005
==============================================
- Fixed a bug that failed channels keep auto-updating every minute

+ Added "Twice a day" and "Daily" to channel auto-update intervals

* GreatNews now skips tray popup if no news item was downloaded, and no channel failed.

- Fixed the bug that GreatNews doesn't recognized rss verison "2.00" (Thanks GeekNJ)

- Fixed a bug that News Watch doesn't handle certain Chinese words correctly (Thanks atclix)

- Fixed the bug that auto-update always uses internet caches (Thanks GeekNJ)

+ Added per channel auto-update frequency setting (Thanks Cuba)

+ News List column widths are now saved (Thanks sigh)

* Case insensitive channel sorting (Thanks GeekNJ)

+ Added "304 http conditional gets" support (Thanks Alexander Turcic)

+ Added http gzip encoding support (Thanks Alexander Turcic)

+ GreatNews now checks rss <ttl> element

+ German language pack (Thanks Jan Peters)

+ "Update channel/group" menu command now works on disabled channel groups.

+ New option to control if GreatNews should mark item as read at Bloglines. (Thanks LcF and Craig P)
  This option is on the page where you select Bloglines Sync Channels

+ GreatNews will refresh channel unread counts at startup if it didn't shutdown properly last time. (Thanks actlix)


Ver 1.0 Beta (Build 306) released on 5/6/2005
==============================================
+ Added some rudimental support for Podcasting.
  Primarily designed for easy extracting Podcasting links and streaming on pc. GreatNews does not download podcast or upload to your mp3 player.

+ GreatNews now reads author information from rss feed.

+ Japanese language pack (Thanks bbb(tetrinet66@hotmail.com) and NewCosmo)

* Switching channels with CTRL+Click will not mark previous channel as read

- Fixed the problem with http://www.exblog.jp/ (Thanks NewCosmo)

- Fixed a bug that GN always show blue text when a news item was right-clicked on (Thanks Philharmania)

- Fixed the html &#xxxx; display issue (Thanks NeoCosmo)

- Fixed the bug that deleting a news item would mark next item as read (Thanks fdcn)


Ver 1.0 Beta (Build 303) released on 4/27/2005
==============================================
+ International language interface(View->Language)
  English, Simplified Chinese and Traditional Chinese language packs are now available.

+ Added "Detach From Bloglines" in Channel Organizer to detach channels in batch

+ Added the ability to disable channel group

+ Performance improvement. Now GreatNews starts up quickly even you have hundreds of rss feeds.

+ Added Channel->Refresh command to refresh unread counts

+ Sort by column. Clicking on news list columns to circle through ascending, desecending, default sorting

+ Added a new option in Cleanup Wizard to control whether to compress data file after cleanup

+ Added Help->Visit GreatNews Forum menu. (Thanks sigh)

* Right click menu in news list no longer refresh the reading pane.
  This makes it a little bit easier to set labels
  
* Double click a channel will update the channel, if user doesn't use single click update option (Thanks Havas)

* Open Unread Group will open unread channel at root level if there's no unread group. (Thanks tdiingks)

- Fixed the bug that search channels don't show up in Cleanup Wizard and Channel Organizer (Thanks TCK)

- Fixed the bug that drag/dropping channel with unread item will mess up unread count

- Fixed the bug that "Open Unread Group" didn't work when invoked from menu bar (Thanks Havas)

- Fixed a bug brought in by build 297 that adding a new group may clear unread count (Thanks atclix)

- Fixed the bug that add/remove bloglines sync channels cause incorrect unread count (thanks atclix)

- Fixed the issue that F7/F8 won't mark channel/group as read


Ver 1.0 Beta (Build 296) released on 4/8/2005
=============================================
* In most cases, Channel Update will now bypass local cache

- Fixed some proxy compatibility issues

- Fixed another bug related to invalid rss feed handling

- Fixed several bugs that may crash GreatNews while decoding invalid rss feeds. (Thanks hpw)

- Added accelerator key to Tools menu (Thanks amber)

- Fixed a bug that GN may hang when adding channel slate.msn.com/rss (thanks lgm)

- Fixed some issues with GB18030 encoding


Ver 1.0 Beta (Build 293) released on 3/31/2005
==============================================
+ Major improvement on compatibility with invalid rss feeds. Now GreatNews can read from most of them.

* Mouse over channels in red text displays why the channel updates failed.

+ News Watch option to mark matched news items as read during channel update.

+ Update channel explicitly by using menu command will bypass local cache.

+ Ctrl+PageUp/Down now turn to previous/next page in reading pane

- Fixed the problem that channels.opml is missing from setup packages (Thanks Havas)

- Fixed a bug that sometimes bloglines.com sync channels cannot be added. (Thanks actlix)

- Fixed a bug that GreatNews may display wrong encoding (thanks Max.Liu)

* "N seconds to mark read" comes back
  Quite a few users are used to use this function. So it's been put back in. Choose from mark read interactively or automatically in Options->Reading

- Fixed a bug that the Next> link may incorrectly mark group as read under certain situation

- Fixed a bug that GreatNews repeatly download a feed if the feed has no timestamp, no guid and no link (thanks hpw)

- Fixed a bug that channel "Don't update automatically" option doesn't always work (thanks atclix)

- Fixed a bug that GreatNews cannot update a feed if it has no timestamp, no guid, and all news items have the same link (thanks Philharmania)

- Fixed a bug that a bloglines-sync channel doesn't update its icon when it's detached from bloglines


Ver 0.99 build 275 Released on 03/22/2005
=========================================
+ A new option to control if the Next> link should jump to next unread channel/group

- Fixed a bug that x10 behaves strangely in 274


Ver 0.99 build 274 Released on 03/22/2005
=========================================
+ Bloglines intergration. (Channel->Add->Bloglines Sync Channels)
  Read everywhere at Blogliens, but read twice as fast at your desk.

+ New startup page options. Now user can choose from blank page, welcome page, or Top 10 most visited page

+ Build-in browser now indicates which news items are unread

+ Moving around news list will mark previous item as read

+ Next Page/Last Page in build-in browser will mark previous page as read

* Clicking "Next Page" on the last page of a channel will jump to next unread channel (Thanks a user)

* New style: Brief

* If a RSS feed doesn't specify version, GreatNews will use RSS 2.0 format by default

* GreatNews now detects and corrects rss feeds that sort items in reverse chronicle order(eg. blogbus.com) (Thanks Philharmania)

- Fixed the bug that welcome page and statistics page don't work if "Open RSS link in default browser" flag is enabled (Thanks atclix)

- Fixed the bug that GreatNews may miss some news item if a rss feed has incorrect timestamps (Thanks atclix)

- Fixed the bug that GreatNews sometimes updates channels in reversed order

- Fixed the bug that GreatNews won't save news list position if user doesn't display welcome screen (Thanks grapyce)

- Fixed the bug that new watch Match Whole Word option doesn't work

/ Removed the feature that marks read automatically after N seconds

/ Removed the feature to flash RSS-Detected icon on status bar



Ver 0.98 build 261 Released on 03/16/2005
=========================================
- Cleanup Wizard was broken by build 260 (thanks atclix)
+ Added Flickr search channel
+ Click links in build-in browser with mouse wheel will open links in default browser


Ver 0.98 build 260 Released on 03/15/2005
=========================================
* GreatNews will upgrade your data file to new version.
  Note: All your news items will have timestamp set to yesterday 12:00AM GMT, and marked as read

* GreatNews now displays datetime adjusted to local timezone

* News items' published-timestamp now merged with retrieved-timestamp. For channels that don't specify modification time, GreatNews uses the time the news was downloaded.

+ Add Group button is added in Organize Channels dialog

- Fixed a compatibility issue with feeds.feedburner.com. (thanks atclix)

- Fixed the bug that searching empty news list crashes GreatNews (Thanks an anonymous forum user)

- Fixed the bug that deleting channel tree nodes doesn't adjust unread count (Thanks lgm)

- Fixed the 1/1/1970 display bug (Thanks libinbin)

- Fixed the bug that Atom parser extracts wrong links (thanks atclix)

- Fixed the bug that GreatNews downloads news articles again after cleanup.
  Note: This still can happen if the RSS channel has no timestamp anywhere and you completely cleanup the channel.

- Fixed the bug that GreatNews ignores certain time zone formats


Ver 0.98 build 252 Released on 03/06/2005
=========================================
+ News List now displays unread news in bold (Thanks dakkon)

+ Ignore matched items when updating channels (New option on News Watch Propreties dialog) (Thanks hpw)

+ Mark previous channel as read when switching channels. (Tools->Options->Reading)

* Minor changes to the News Paper and FireFox Sage styles. Now oversized pictures are truncated to maintain neat page layout.

* "Mark item as read after N seconds" option applies to all items on current page.

- Partially fixed the annoying unread count problem (Label and News Watch's unread counts still don't refresh automatically)

- Fixed the bug that GreatNews Automatic Update doesn't show download progress (Thanks atclix)

/ Remove the feature that marks channel read automatically after N seconds



Version 0.98 build 249 Released on 03/04/2005
=============================================
+ Option->Usability->Open RSS Link in default browser. Turn it on and set FireFox as default browser, GreatNews will open RSS links in FireFox. (Thanks libinbin and atclix for the suggestion). Ctrl+Click will always open links in default browser.

+ "Add Label..." menu item added to News List context menu. (Thanks atclix for the suggestion)

+ GreatNews now automatically marks all news items on the current page as read. (Thanks lgm for the suggestion)

+ Partially solved compatibility issues with certain rss feeds that have invalid characters.

- Fixed the bug that Mark-As-Read on some tree nodes may display "Unknown Error" message. (Thanks wangchp for pointing this out.)

- Fixed the bug that Mark As Read/Mark As Unread was reversed in news list (Thanks atclix)

- Fixed the bug that channel unread count displays (-1). (Thanks zhanghz)

* Options->Read->"Mark news as read" can be set to 0 to turn it off.

* Use IE6.0SP2's popup-blocking if it's available

/ Removed the option to control how mouse-click works in News List to make UI consistent. Now clicking with left button always opens rss article in build-in browser, M-click always opens website in build-in browser, and double-click always opens website in default browser.



Version 0.96 build 240
======================
+ News List now synchonizes with browser
+ Automatic Update is now available. It's enabled by default. You can change the setting in Tools->Options->General
+ Help->Check New Version
+ Update Channel now will timeout after 3 minutes
+ Channel group now expands automatically when clicked on
+ System tray ballontips now only displays when GreatNews is minimized
+ Channel/Group now upgates automatically when click on. (can turn this off in Tools->Options->Read)
+ Cleanup Reminder now works
+ New option to disable welcome screen
+ Press Enter key on Channel/group behave the same as clicked on
